Bug 17128 - summary-print.pl is not plack safe
Summary: summary-print.pl is not plack safe
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2016-08-15 14:45 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17128: Make summary-print.pl plack safe (1.57 KB, patch)
2016-08-15 14:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17128: Make summary-print.pl plack safe (1.70 KB, patch)
2016-08-15 15:13 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 17128: Make summary-print.pl plack safe (1.77 KB, patch)
2016-08-21 19:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-15 14:45:06 UTC
Variable "$borrowernumber" is not available at /home/koha/src/members/summary-print.pl line 101.
Comment 1 Jonathan Druart 2016-08-15 14:50:27 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-08-15 15:13:25 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-21 19:12:59 UTC
Created attachment 54663 [details] [review]
[PASSED QA] Bug 17128: Make summary-print.pl plack safe

$borrowernumber is used in build_issue_data but not correctly defined
(Variable "$borrowernumber" is not available)

That may cause wrong charge displayed in the summary slip.

Test plan:
- Set rental charge for an item type
- Define a rental discount for that item type in the circ rules
- check in an item matching this rule
Without this patch the charge displayed in the summary slip won't be
calculated with the discount
With this patch applied, the warning in the logs will no longer appear
and the values will be correctly calculated.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-09-02 15:22:47 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-09-08 19:49:25 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 6 Julian Maurice 2016-09-16 06:57:37 UTC
Pushed to 3.22.x, will be in 3.22.11